AchievementGrounded = class(Turbine.UI.Control)
function AchievementGrounded:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.player = Turbine.Gameplay.LocalPlayer.GetInstance()

    self.standardChatCallback = AddCallback(ChatEventHandler, "Standard", function(message)
        if string.match(message, "You purchased a ride to (.*) for (.*).") then
            handler:Fail("Grounded", "Went on a horse ride", 1091840253)
        end
    end)

    self.mountCallback = AddCallback(self.player, "MountChanged", function()
        if self.player:GetMount() then
            handler:Fail("Grounded", "Mounted up", 1091840253)
        end
    end)

end

function AchievementGrounded:Unload()
    RemoveCallback(ChatEventHandler, "Standard", self.standardChatCallback)
    RemoveCallback(self.player, "MountChanged", self.mountCallback)
end